/**
* 文件：MateriaBomItemForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaBomItemEntity;
import com.mortals.xhx.module.materia.model.MateriaBomItemQuery;

/**
 * <p>Title: 物料BOM单项表</p>
 * <p>Description: MateriaBomItemForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaBomItemForm extends BaseCRUDFormLong<MateriaBomItemEntity> {
	private MateriaBomItemEntity materiaBomItem = new MateriaBomItemEntity();
	private MateriaBomItemQuery query = new MateriaBomItemQuery();
	public MateriaBomItemForm(){
		
	}
	
    @Override
	public MateriaBomItemEntity getEntity() {
		return materiaBomItem;
	}
	public MateriaBomItemEntity getMateriaBomItem() {
		return materiaBomItem;
	}

	public void setMateriaBomItem(MateriaBomItemEntity materiaBomItem) {
		this.materiaBomItem = materiaBomItem;
	}
	
	@Override
	public MateriaBomItemQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaBomItemQuery query) {
		this.query = query;
	}
}